angular.module('lzgf.controllers.tsjy', [])

    //首页
    .controller('tsjyCtrl', function ($scope,$ionicPopup, $location, url, $state, $rootScope, $ionicModal, UDI, TsjyFactory, sqbxDeleteFactory) {
    	var listUrl = url.sqbx.list + url.hourcache;
    	var bc = 'tsjylist.load';
    	var deletebxurl = url.sqbx.deletebx;
    	var deletbxbc = 'deletets.do';
    	$scope.type = 0;
    	$scope.params = {
    		page: 1,
    		lbid: 2,
    		clzt: '',
    		accountid: $rootScope.id
    	};
    	$scope.deleteparams = {
    		id: ''
    	};
    	UDI.removeresult(bc);
    	$scope.tsjylistresult = {
			list: [],
			isover: false
		};
    	$scope.changetab = function (t) {
    		$scope.type = t;
    		if (t == 0) {
    			$scope.params.clzt = '';
    		} else {
    			$scope.params.clzt = t;
    		}
    		UDI.removeresult(bc);
    		$scope.params.page = 1;
    		$scope.loadMore();
    	};
    	$scope.loadMore = function () {
			UDI.loadobject(listUrl, $scope.params, bc, function (result) {
				$scope.tsjylistresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.tsjylistresult.isover;
		};
		//撤销投诉
		$scope.godelectsqModal = function (id) {
    		$scope.openModal();
    		$scope.deleteparams.id = id;
    	};
    	$scope.delectsq = function () {
    		sqbxDeleteFactory.events({id: $scope.deleteparams.id}).success(function(response) {
				var flag = response.flag;
				//alert(flag)
				if (flag) {
					$rootScope.alert(response.msg);
				} else {
					$rootScope.alert('操作异常,撤销失败');
				}
				UDI.removeresult(bc);
				$scope.closeModal();
				$scope.params.page = 1;
				$scope.loadMore();
			});
    	};
    		//给政策详情页面传参数
    	$scope.toTsjyDetail=function(tsjyid){
    		//alert(tsjyid);
    		$state.go('tsjyDetail',{'tsjyid':tsjyid},{reload:true});
    	};
    	
    	$ionicModal.fromTemplateUrl('deletetsModal.html', {
			scope: $scope,
			animation: 'slide-in-up'
		}).then(function(modal) {
			$scope.modal = modal;
		});
		$scope.openModal = function() {
			$scope.modal.show();
		};
		$scope.closeModal = function() {
			$scope.modal.hide();
		};
    })
.directive('fileModel', ['$parse', function($parse) {
		return {
		restrict: 'A',
		link: function(scope, element, attrs, ngModel) {
		var model = $parse(attrs.fileModel);
		var modelSetter = model.assign;
		element.bind('change', function(event) {
		scope.$apply(function() {
		modelSetter(scope, element[0].files[0]);
		});
		//附件预览
		console.log("directive");
		scope.file = (event.srcElement || event.target).files[0];
		scope.getFile();
		});
		}
		};
}])
    //详情页
.controller('tsjyDetailCtrl', function($scope, $state, $stateParams, $sce, $rootScope, TsjyDetailFactory) {
    	console.log($stateParams);
    	//alert($stateParams.tsjyid);
    	TsjyDetailFactory.loadDetail($stateParams);
    	$scope.$on('Tsjydetail.updated', function () {
            $scope.detail = TsjyDetailFactory.getDetail();
            //alert($scope.detail.bt);
            //var html = $scope.detail.content;
            //var imgtsjy = /src=\"\/upload([^\"]*?)\"/gi;
            //var atagtsjy = /href=\"([^\"]*?)\"/gi;
            //if($stateParams.showimage == 1) {
            //	$scope.htmlcontent = $sce.trustAsHtml(html.replace(atagtsjy,"href=\"javascirpt:void(0);\"").replace(imgtsjy,"src=\"" + _INIT_IMG_YUMING + "/upload$1\""));
            //} else {
            //	$scope.htmlcontent = $sce.trustAsHtml(html.replace(atagtsjy,"href=\"javascirpt:void(0);\"").replace(imgtsjy,""));
            //}
    	});
    })
    
      //保存
    .controller('tsjySaveCtrl', function($scope, $state,$ionicPopup, $stateParams, $sce, url, UDI, $rootScope, tsjySaveFactory,fileReader,$ionicActionSheet) {
    	var sqbxidurl = url.sqbx.loadSqbxid;
    	var bc = 'tsjyloadSqbxid.load';
    	$scope.tsjy = {
    		id: '',
			bt : '',
			czrxm : $rootScope.sqrxm || '',
			lbid:2,
			czrzjhm : $rootScope.sqrsfzh || '',
			sjhm : $rootScope.sjhm || '',
			nr : '',
			accountid: $rootScope.id
		};
    	UDI.loadobject(sqbxidurl, {}, bc, function (result) {
			$scope.sqbxid = result.id;
		});
    	$scope.saveTsjy = function() {
					if(null!=$scope.tsjy.bt){
						if($scope.tsjy.bt.length<2){
						$scope.showValidatorAlert('申报标题长度太短');
						//document.getElementById("bt").focus();
						return false;
					}
					if($scope.tsjy.bt.length>50){
						$scope.showValidatorAlert('申报标题长度太长');
						//document.getElementById("bt").focus();
						return false;
					}
				}else{
					$scope.showValidatorAlert('请输入标题');
					//document.getElementById("bt").focus();
					//$scope.toEdit("bt");
					return false;
				}
					if(null!=$scope.tsjy.czrxm){
						if($scope.tsjy.czrxm.length<2){
						$scope.showValidatorAlert('承租人姓名长度太短');
						//document.getElementById("bt").focus();
						return false;
					}
					if($scope.tsjy.czrxm.length>20){
						$scope.showValidatorAlert('承租人姓名长度太长');
						//document.getElementById("bt").focus();
						return false;
					}
				}else{
					$scope.showValidatorAlert('请输入承租人姓名');
					//document.getElementById("bt").focus();
					//$scope.toEdit("bt");
					return false;
				}
					
					if(null!=$scope.tsjy.czrzjhm){
						if($scope.tsjy.czrzjhm.length<5){
						$scope.showValidatorAlert('证件证号格式不对');
						return false;
					}
					if($scope.tsjy.czrzjhm.length>18){
						$scope.showValidatorAlert('证件号码格式不对');
						return false;
					}
				}else{
					$scope.showValidatorAlert('请输入证件号码');
					return false;
				}	
				if(null!=$scope.tsjy.nr){
						if($scope.tsjy.nr.length<5){
						$scope.showValidatorAlert('描述内容不能少于五个字');
						return false;
					}
				}else{
					$scope.showValidatorAlert('请输入描述内容');
					return false;
					}
					$scope.tsjy.id = $scope.sqbxid;
					tsjySaveFactory.events($scope.tsjy).success(function(response) {
						var flag = response.result.flag;
						//alert(flag)
						if (flag) {
							//注册成功
							$scope.showSuccessAlert(response.result.returnMsg);
							$state.go('tsjyList',{'lbid':2},{reload:true});
						} else {
							//注册失败
							$scope.showFailAlert(response.result.returnMsg);
						}

					});
				};
				// 表单验证提示框
				$scope.showValidatorAlert = function(message) {
				var alertPopup = $ionicPopup.alert( {
					title : message
					//template : '请确认相关信息是否正确！'
				});
			};
				//  提交注册成功后提示框
				$scope.showSuccessAlert = function(message) {
				var alertPopup = $ionicPopup.alert( {
					title : message
					//template : ' 请登陆！'
				});
				alertPopup.then(function(res) {
					//$location.path("/login");
						});
			};
				//  提交注册失败后提示框
				$scope.showFailAlert = function(message) {
				var alertPopup = $ionicPopup.alert( {
					title : message
					//template : '请确认相关信息是否正确！'
				});
			};
			
			// 头像设置弹出
	$scope.show = function() {
		// Show the action sheet
		var hideSheet= $ionicActionSheet.show({
			cancelOnStateChange:true,
			cssClass:'action_s',
			buttons: [
				//{ text: "<span class='tm-grey9'>拍照</span>"},
				{ text: "<span class='tm-grey9'>从手机相册选择</span>" }
			],
			buttonClicked: function(index) {
				if (index == 0) {
					$scope.loadImage();
				} else {
					$scope.loadImageLocal();
				}
				return true;
			},
			cancelText: "取消",
			cancel: function() {
				return true;
			}
		});

	};
	// 拍照
	$scope.loadImage = function () {
		//拍照上传并显示在屏幕
		navigator.camera.getPicture(MyIndexFactory.uploadMemFace, onLoadImageFail, {
			destinationType: Camera.DestinationType.FILE_URI,//这里要用FILE_URI，才会返回文件的URI地址
			targetWidth: 600,
			targetHeight: 600
		});
	};

	$scope.loadImageLocal = function () {
		//获取本地图片并显示在屏幕
		navigator.camera.getPicture(MyIndexFactory.uploadMemFace, onLoadImageFail, {
			destinationType: Camera.DestinationType.FILE_URI,
			sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
			targetWidth: 600,
			targetHeight: 600
		});
	};
	//所有获取图片失败都回调此函数
	function onLoadImageFail(message) {
		if (message != 'no image selected' && message != 'Selection cancelled.') {
			navigator.notification.alert("拍照失败，原因：" + message, null, "警告");
		}
	}

	$scope.getFile = function() {
		fileReader.readAsDataUrl($scope.file, $scope)
		.then(function(result) {
		$scope.imageSrc = result;
		});
		};
})