angular.module('starter.routers.xm', []).config(
		function($stateProvider, $urlRouterProvider) {
			$stateProvider


	      //商品房列表
	      .state('spfList', {
	          url: '/spfList',
	          templateUrl: 'templates/spf.html',
	          controller: 'spflistCtrl'
	      })
	      //商品房详情
	      .state('spfDetail', {
	          url: '/spfDetail',
	          params: {xmmc: ''},
	          templateUrl: 'templates/spfdetail.html',
	          controller: 'spfdetailCtrl'
	      })
	      //可售房源
	      .state('ksfyList', {
	          url: '/ksfyList',
	          params: {xmmc: '', zhlist: ''},
	          templateUrl: 'templates/ksfylist.html',
	          controller: 'ksfylistCtrl'
	      })
	      //可售房源详情
	      .state('ksfyDetail', {
	    	  url: '/ksfyDetail',
	    	  params: {fwid: ''},
	    	  templateUrl: 'templates/ksfydetail.html',
	    	  controller: 'ksfydetailCtrl'
	      })
	      //价格走势
	      .state('price', {
	          url: '/price',
	          params: {xmmc: ''},
	          templateUrl: 'templates/price.html',
	          controller: 'priceCtrl'
	      })
	      //存量房列表(总店)
	      .state('clfList', {
	          url: '/clfList',
	          params: {mdcode: '', rycode: '', tabs: ''},
	          templateUrl: 'templates/clf.html',
	          controller: 'clflistCtrl'
	      })
	      //存量房列表(分店)
	      .state('clfmdList', {
	    	  url: '/clfmdList',
	    	  params: {sjcode: ''},
	    	  templateUrl: 'templates/company_list.html',
	    	  controller: 'clfmdlistCtrl'
	      })
	      //经纪机构门店详情
	      .state('company_info', {
	          url: '/companyinfo/:qycode/:qyid',
	          params: {qycode: '', qyid: ''},
	          templateUrl: 'templates/company_info.html',
	          controller: 'companyinfoCtrl'
	      })
	      //经纪机构从业人员详情
	      .state('clfList_cyrydetail', {
	    	  url: '/clfList/cyrydetail',
	    	  params: {cyrybh: '', qycode: ''},
	    	  templateUrl: 'templates/cyrydetail.html',
	    	  controller: 'cyrydetailCtrl'
	      })
	      //挂牌信息详情
	      .state('clfList_gpxxdetail', {
	          url: '/clfList/gpxxdetail',
	          params: {gpid: ''},
	          templateUrl: 'templates/gpxxdetail.html',
	          controller: 'gpxxdetailCtrl'
	      })
	      //红黑榜
	      .state('hhb', {
	    	  url: '/hhb',
	          templateUrl: 'templates/hhb.html',
	          controller: 'hhbCtrl'
	      })
	      //星级物业列表
	      .state('xjwy_list', {
	    	  url: '/xjwy/list',
	          templateUrl: 'templates/xjwy.html',
	          controller: 'xjwyListCtrl'
	      })
	      //星级物业详情
	      .state('xjwy_detail', {
	    	  url: '/xjwy/detail/:id',
	    	  params: {id: ''},
	    	  templateUrl: 'templates/xjwy_detail.html',
	    	  controller: 'xjwyDetailCtrl'
	      })
    })