angular.module('lzgf.services.login', [])

    //登录
    .factory('LoginFactory', function ($resource, $rootScope,Session,url) {
    	
    	//模块中注册一个服务Session，用于存储服务端用户的Session
    	this.create = function (sessionId, sqrxm , sjhm) {
		    this.id = sessionId;
		    this.sqrxm = sqrxm ;
		    this.sjhm = sjhm;
		  };
		  this.destroy = function () {
		    this.id = null;
		    this.sqrxm = null;
		    this.sjhm = null;
		  };
		  
		  
        var loginUrl = url.reg.login;
        var sendCheckCodeUrl = url.reg.sendCheckCode;
        var checkloginUrl = url.reg.checklogin;

        var sendCheckCodeReturn;
        return {
            sendCheckCode: function (info) {
                $resource(sendCheckCodeUrl, {}, {
                    save: {
                        method: 'post',
                        cache: true,
                        timeout: 20000
                    }
                }).save({
                    uuid: localStorage.uuid
                }, info, function (r) {
                    sendCheckCodeReturn = r;
                    $rootScope.$broadcast('sendCheckCode.success');
                });
            },
            login: function (info) {
            	// alert(loginUrl);
            	 console.log(info);
                $resource(loginUrl, {}, {
                    save: {
                        method: 'post',
                        cache: true,
                        timeout: 20000
                    }
                }).save({
                    uuid: localStorage.uuid
                }, info, function (r) {
                	console.log(r);
                    if(r.flag){
                        $rootScope.islogin = true;
                        Session.create(r.appUser.id, r.appUser.sqrxm,
                           r.appUser.sjhm);
                        
                        $rootScope.id=r.appUser.id;
                        $rootScope.sqrxm=r.appUser.sqrxm;
                        $rootScope.sjhm=r.appUser.sjhm;
                        $rootScope.fwbh=r.appUser.fwbh;
                        $rootScope.sqrsfzh=r.appUser.sqrsfzh;
                        $rootScope.$broadcast('login');
                    }else{
                    	$rootScope.alert(r.returnMsg);
                       
                    }
                    if(r.isspacial) {
                    	$rootScope.isspacial = true;
                    } else {
                    	$rootScope.isspacial = false;
                    }
                    if (r.iszhrz) {
                    	$rootScope.iszhrz = true;
                    } else {
                    	$rootScope.iszhrz = false;
                    }
                });
            },
            checklogin: function () {
                $resource(checkloginUrl, {}, {query: {timeout: 20000}}).query({
                    uuid: localStorage.uuid,
                }, {}, function (r) {
                    $rootScope.islogin = r.flag;
                    $rootScope.isspacial = r.isspacial;
                    $rootScope.iszhrz = r.iszhrz;
                    $rootScope.$broadcast('checklogin.success');
                });
            },
            getSendCheckCodeReturn: function() {
                return sendCheckCodeReturn;
            }
            
            
        }
    })