angular.module('lzgf.controllers.content', [])

//主页
.controller('ContentCtrl',function($scope, $state, $rootScope, $ionicPopup, $ionicPopover, $timeout,ContentFactory, url, UDI) {
	
	var banquanurl = url.banquanurl;
	var localurl = 'js/banquan.json';
	var localbc = 'local.load';
	var banquanbc = 'banquan.load';
	//首页版权json
	if(localStorage.banquan && localStorage.banquan != 'undefined') {
		$scope.banquan = JSON.parse(localStorage.banquan);
	} else {
		//加载本地json
		UDI.loadobject(localurl, {}, localbc, function (result) {
			$scope.banquan = result;
			localStorage.banquan = JSON.stringify($scope.banquan);
		});
	}
	//加载服务端json
	UDI.loadobject(banquanurl, {}, banquanbc, function (result) {
		$scope.banquan = result;
		localStorage.banquan = JSON.stringify($scope.banquan);
	});
	$scope.$on('$ionicView.beforeEnter', function (event, viewData) {
		if($rootScope.islogin && !$rootScope.fwzl && $rootScope.fwbh) {
			//获取房屋坐落
			var gfxxurl = url.sqbx.gfxx;
	    	var bc = 'gfxx.load';
	    	$scope.params = {
	    		fwbh: $rootScope.fwbh
	    	};
    		UDI.loadobject(gfxxurl, $scope.params, bc, function (result) {
    			$scope.gfxxinfo = result.fwinfo;
    			if ($scope.gfxxinfo) {
    				$rootScope.fwzl = $scope.gfxxinfo.fh;
    			}
    		});
    	}
	});
	//判读用户是否登陆
	$scope.toSqbx = function () {
		if($rootScope.islogin) {
            if($rootScope.iszhrz) {
            	$state.go('sqbxList',{reload:true});
	        } else {
	        	$rootScope.alert('请先进行租户认证！');
	            $state.go('zhrz');
	        }
        } else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	//跳转到租户认证
	$scope.toZhrz = function () {
		if($rootScope.islogin) {
            $state.go('zhrz',{reload:true});
        } else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	//跳转到公房信息
	$scope.toGfxx = function () {
		if ($rootScope.islogin) {
			if($rootScope.iszhrz) {
	            $state.go('gfxx',{reload:true});
	        } else {
	        	$rootScope.alert('请先进行租户认证！');
	            $state.go('zhrz');
	        }
		} else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	//跳转到租金情况
	$scope.toZjqk = function () {
		if ($rootScope.islogin) {
			if($rootScope.iszhrz) {
	            $state.go('zjqk',{reload:true});
	        } else {
	        	$rootScope.alert('请先进行租户认证！');
	            $state.go('zhrz');
	        }
		} else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	//跳转到办事进度
	$scope.toBsjd = function () {
		if ($rootScope.islogin) {
			if($rootScope.iszhrz) {
	            $state.go('bsjd',{reload:true});
	        } else {
	        	$rootScope.alert('请先进行租户认证！');
	            $state.go('zhrz');
	        }
		} else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	//判读用户是否登陆
	$scope.toTsjy = function () {
		if($rootScope.islogin) {
			if($rootScope.iszhrz) {
				$state.go('tsjyList',{reload:true});
	        } else {
	        	$rootScope.alert('请先进行租户认证！');
	            $state.go('zhrz');
	        }
        } else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	
	//公房动态
	$scope.toGfdt = function () {
		if($rootScope.islogin) {
			$state.go('gfdt',{reload:true});
        } else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	//我的消息
	$scope.toWdxx = function () {
		if($rootScope.islogin) {
			$state.go('messagesList',{
				isgfyh: 1
			});
        } else {
        	$rootScope.alert('请先登陆！');
            $state.go('login');
        }
	};
	$scope.toWsjf = function () {
		$rootScope.alert('敬请期待');
	};
	//公租房信息
	$scope.toGzfxx = function () {
        $rootScope.alert('敬请期待');
	};
	//公租房服务
	$scope.toGzffw = function () {
        $rootScope.alert('敬请期待');
	};
	//到用户信息编辑页面
	$scope.toEdit = function () {
		$state.go('edite');
	};
})