angular.module('lzgf.controllers.login', [])

	//登录页
	.controller('loginCtrl', function ($scope, $state, $rootScope, $ionicPopup, $timeout, LoginFactory) {
    	
    	//LoginFactory.checklogin();
		//列表更新广播事件抓取
		$scope.$on('checklogin.success', function () {
	        if($rootScope.islogin) {
	            $state.go('content');
	        } else {
	            $state.go('login');
	        }
		});
		var logintimerid;
		var logintimecount;
		$scope.checkcodebtn = '获取验证码';
		$scope.appUser = {
			sqrxm : '',
			passw : '',
			sjhm: '',
			checkcode: '',
			logintype: 1
		};
		//列表更新广播事件抓取
		$scope.$on('login', function () {
			//alert('success');
			$state.go('content');
		});
		
		$scope.loginChange = function (type) {
			$scope.appUser.logintype = type;
		};
		$scope.loginAppUser = function () {
			if ($scope.appUser.logintype == 1) {
				/*if (!$scope.appUser.sqrxm) {
					$scope.showValidatorAlert('请输入用户名');
					return false;
				}*/
				if (!$scope.appUser.sjhm) {
					$scope.showValidatorAlert('请输入手机号码');
					return false;
				}
				if (null!=$scope.appUser.passw){
					if($scope.appUser.passw.length<6){
						$scope.showValidatorAlert('密码长度太短');
						return false;
					}
				} else {
					$scope.showValidatorAlert('请输入密码');
					return false;
				}
			} else {
				if (null!=$scope.appUser.sjhm){
					if($scope.appUser.sjhm.length!=11){
						$scope.showValidatorAlert('手机号码格式不对');
						return false;
					}
				} else {
					$scope.showValidatorAlert('请输入手机号码');
					return false;
				}
				if (!$scope.appUser.checkcode) {
					$scope.showValidatorAlert('验证码不能为空');
					return false;
				}
			}
			LoginFactory.login($scope.appUser);
		};
		$scope.loginOut = function () {
			$rootScope.id='';
            $rootScope.sqrxm='';
            $rootScope.sjhm='';
            $rootScope.isspacial = false;
            $rootScope.islogin = false;
            $rootScope.$broadcast('login');
		};
		$scope.sendCheckCode = function () {
			if (!$scope.appUser.sjhm) {
				$rootScope.alert('请输入手机号码');
			} else {
				LoginFactory.sendCheckCode($scope.appUser);
			}
		};
		$scope.$on('sendCheckCode.success',function(){
			var reinfo = LoginFactory.getSendCheckCodeReturn();
			if(reinfo.flag){
				logintimecount = 60;
				dopageset();
			}
			else {
				$rootScope.alert(reinfo.msg);
			}
		});
		//倒计时设置
		function dopageset(){
			logintimecount--;
			$scope.checkcodebtn = logintimecount + '秒后重发';
			if(logintimecount <= 0){
				$timeout.cancel(logintimerid);
				$scope.checkcodebtn = '获取验证码';
			}
			else {
				logintimerid = $timeout(dopageset, 1000);
			}
		};
		
		// 表单验证提示框
		$scope.showValidatorAlert = function(message) {
		var alertPopup = $ionicPopup.alert( {
		title : message
		//template : '请确认相关信息是否正确！'
		});
	};
	})
