angular.module('lzgf.controllers.reg', [])

	.controller('regCtrl',function($scope, $ionicPopup, $location, url, $timeout, $rootScope, regFactory, LoginFactory, UDI) {
			var logintimerid;
			var logintimecount;
			$scope.checkcodebtn = '获取验证码';
			$scope.appUser = {
				sqrxm : '',
				sjhm : '',
				sqrsfzh : '',
				passw : '',
				repassw: '',
				checkcode: ''
			};
			var ruleurl = url.reg.rule;
			var localurl = 'js/rule.json';
			var localbc = 'local.load';
			var rulebc = 'rule.load';
			if(localStorage.rulelist && localStorage.rulelist != 'undefined') {
				$scope.rulelist = JSON.parse(localStorage.rulelist);
			} else {
				//加载本地json
				UDI.loadobject(localurl, {}, localbc, function (result) {
					$scope.rulelist = result.list;
					localStorage.rulelist = JSON.stringify($scope.rulelist);
				});
			}
			//加载服务端json
			UDI.loadobject(ruleurl, {}, rulebc, function (result) {
				$scope.rulelist = result.list;
				localStorage.rulelist = JSON.stringify($scope.rulelist);
			});
			$scope.saveAppUser = function() {
				if(null!=$scope.appUser.sqrxm){
					if($scope.appUser.sqrxm.length<2){
					$scope.showValidatorAlert('姓名长度太短');
					//document.getElementById("sqrxm").focus();
					return false;
				}
				if($scope.appUser.sqrxm.length>20){
					$scope.showValidatorAlert('姓名长度太长');
					//document.getElementById("sqrxm").focus();
					return false;
				}
			}else{
				$scope.showValidatorAlert('请输入姓名');
				//document.getElementById("sqrxm").focus();
				$scope.toEdit("sqrxm");
				return false;
			}
			if(null!=$scope.appUser.sjhm){
					if($scope.appUser.sjhm.length!=11){
					$scope.showValidatorAlert('手机号码格式不对');
					return false;
				}
			}else{
				$scope.showValidatorAlert('请输入手机号码');
				return false;
			}
			if ($scope.rulelist[0].isdisplay) {
				if(null!=$scope.appUser.sqrsfzh){
					if($scope.appUser.sqrsfzh.length<15){
						$scope.showValidatorAlert('身份证号格式不对');
						return false;
					}
					if($scope.appUser.sqrsfzh.length>18){
						$scope.showValidatorAlert('身份证号格式不对');
						return false;
					}
				}else{
					$scope.showValidatorAlert('请输入身份证号');
					return false;
				}
			}
			if(null!=$scope.appUser.passw){
					if($scope.appUser.passw.length<6){
					$scope.showValidatorAlert('密码长度太短');
					return false;
				}
			}else{
				$scope.showValidatorAlert('请输入密码');
				return false;
			}
			if(null!=$scope.appUser.repassw){
					if($scope.appUser.repassw!=$scope.appUser.passw){
						$scope.showValidatorAlert('两次密码不相同');
					return false;
				}
			}else{
				$scope.showValidatorAlert('请再次输入密码');
				return false;
			}
				regFactory.events($scope.appUser).success(function(response) {
					var flag = response.flag;
					if (flag) {
						//注册成功
						$scope.showSuccessAlert(response.returnMsg);
					} else {
						//注册失败
						$scope.showFailAlert(response.returnMsg);
					}
	
				});
			};
			$scope.sendCheckCode = function () {
				if (!$scope.appUser.sjhm) {
					$rootScope.alert('请输入手机号码');
				} else {
					LoginFactory.sendCheckCode($scope.appUser);
				}
			};
			$scope.$on('sendCheckCode.success',function(){
				var reinfo = LoginFactory.getSendCheckCodeReturn();
				if(reinfo.flag){
					logintimecount = 60;
					dopageset();
				}
				else {
					$rootScope.alert(reinfo.msg);
				}
			});
			//倒计时设置
			function dopageset(){
				logintimecount--;
				$scope.checkcodebtn = logintimecount + '秒后重发';
				if(logintimecount <= 0){
					$timeout.cancel(logintimerid);
					$scope.checkcodebtn = '获取验证码';
				}
				else {
					logintimerid = $timeout(dopageset, 1000);
				}
			};
			$scope.toEdit = function(elems){
				    //你的业务代码
				    //inputContent[index].readable = true;    //我猜你是这样写的，在这里后边加一句
				   // document.getElementById("elems").focus();
				}
				// 表单验证提示框
			$scope.showValidatorAlert = function(message) {
			var alertPopup = $ionicPopup.alert( {
				title : message
				//template : '请确认相关信息是否正确！'
			});
		};
			//  提交注册成功后提示框
			$scope.showSuccessAlert = function(message) {
			var alertPopup = $ionicPopup.alert( {
				title : message
				//template : ' 请登陆！'
			});
			alertPopup.then(function(res) {
				$location.path("/login");
					});
		};
			//  提交注册失败后提示框
			$scope.showFailAlert = function(message) {
			var alertPopup = $ionicPopup.alert( {
				title : message
				//template : '请确认相关信息是否正确！'
			});
		};
	})
	.controller('resetPassCtrl',function($scope, $ionicPopup, $location, url, $timeout, resetPassFactory, LoginFactory, $rootScope) {
			$scope.appUser = {
				sjhm : '',
				passw : '',
				checkcode: '',
				passwConfirm: ''
			};
			var logintimerid;
			var logintimecount;
			$scope.checkcodebtn = '获取验证码';
			$scope.sendCheckCode = function () {
				if (!$scope.appUser.sjhm) {
					$rootScope.alert('请输入手机号码');
				} else {
					LoginFactory.sendCheckCode($scope.appUser);
				}
			};
			$scope.$on('sendCheckCode.success',function(){
				var reinfo = LoginFactory.getSendCheckCodeReturn();
				if(reinfo.flag){
					logintimecount = 60;
					dopageset();
				}
				else {
					$rootScope.alert(reinfo.msg);
				}
			});
			//倒计时设置
			function dopageset(){
				logintimecount--;
				$scope.checkcodebtn = logintimecount + '秒后重发';
				if(logintimecount <= 0){
					$timeout.cancel(logintimerid);
					$scope.checkcodebtn = '获取验证码';
				}
				else {
					logintimerid = $timeout(dopageset, 1000);
				}
			};
			$scope.restetPass = function() {
				if(null!=$scope.appUser.sjhm){
					if($scope.appUser.sjhm.length!=11){
					$scope.showValidatorAlert('手机号码格式不对');
					return false;
				}
			}else{
				$scope.showValidatorAlert('请输入手机号码');
				return false;
			}
			if (!$scope.appUser.checkcode) {
				$scope.showValidatorAlert('验证码不能为空');
				return false;
			}
			if(null!=$scope.appUser.passw){
					if($scope.appUser.passw.length<6){
					$scope.showValidatorAlert('密码长度太短');
					return false;
				}
			}else{
				$scope.showValidatorAlert('请输入密码');
				return false;
			}
			if(null!=$scope.appUser.passwConfirm){
					if($scope.appUser.passwConfirm!=$scope.appUser.passw){
						$scope.showValidatorAlert('两次密码不相同');
					return false;
				}
			}else{
				$scope.showValidatorAlert('请再次输入密码');
				return false;
			}
			
				resetPassFactory.events($scope.appUser).success(function(response) {
					var flag = response.result.flag;
					if (flag) {
						//成功
						$scope.showSuccessAlert(response.result.returnMsg);
					} else {
						//失败
						$scope.showFailAlert(response.result.returnMsg);
					}
	
				});
			};
			// 表单验证提示框
			$scope.showValidatorAlert = function(message) {
			var alertPopup = $ionicPopup.alert( {
				title : message
				//template : '请确认相关信息是否正确！'
			});
		};
			//  成功后提示框
			$scope.showSuccessAlert = function(message) {
			var alertPopup = $ionicPopup.alert( {
				title : message
				//template : ' 请登陆！'
			});
			alertPopup.then(function(res) {
				$location.path("/login");
					});
		};
			//  失败后提示框
			$scope.showFailAlert = function(message) {
			var alertPopup = $ionicPopup.alert( {
				title : message
				//template : '请确认相关信息是否正确！'
			});
		};
	})
	.controller('editeCtrl', function ($scope, $ionicPopup, $location, url, UDI, $timeout, LoginFactory, $rootScope) {
		var logintimerid;
		var logintimecount;
		var editeurl = url.reg.edite;
		var bc = 'editeinfo.save';
		$scope.checkcodebtn = '获取验证码';
		$scope.appUser = {
			appUser_id : $rootScope.id,
			appUser_sqrxm : $rootScope.sqrxm,
			appUser_sjhm : $rootScope.sjhm,
			appUser_sqrsfzh : $rootScope.sqrsfzh,
			appUser_passw : '',
			sjhm: $rootScope.sjhm,//用于发送验证码
			repassw: '',
			checkcode: ''
		};
		$scope.sendCheckCode = function () {
			if (!$scope.appUser.appUser_sjhm) {
				$rootScope.alert('请输入手机号码');
			} else {
				LoginFactory.sendCheckCode($scope.appUser);
			}
		};
		$scope.$on('sendCheckCode.success',function(){
			var reinfo = LoginFactory.getSendCheckCodeReturn();
			if(reinfo.flag){
				logintimecount = 60;
				dopageset();
			}
			else {
				$rootScope.alert(reinfo.msg);
			}
		});
		//倒计时设置
		function dopageset(){
			logintimecount--;
			$scope.checkcodebtn = logintimecount + '秒后重发';
			if(logintimecount <= 0){
				$timeout.cancel(logintimerid);
				$scope.checkcodebtn = '获取验证码';
			}
			else {
				logintimerid = $timeout(dopageset, 1000);
			}
		};
		//保存
		$scope.saveEdite = function () {
			if (!$scope.appUser.appUser_sqrxm) {
				$rootScope.alert('请输入姓名');
			} else if (!$scope.appUser.appUser_sqrsfzh) {
				$rootScope.alert('请输入身份证号');
			} else if (!$scope.appUser.appUser_sjhm) {
				$rootScope.alert('请输入手机号码');
			} else if (!$scope.appUser.checkcode) {
				$rootScope.alert('请输入验证码');
			} else {
				if ($scope.appUser.appUser_passw) {
					if ($scope.appUser.appUser_passw.length < 6) {
						$rootScope.alert('密码长度太短');
					} else if ($scope.appUser.appUser_passw != $scope.appUser.repassw) {
						$rootScope.alert('两次密码输入不一致');
					} else {
						UDI.saveobject(editeurl, $scope.appUser, bc, function(result) {
							if (result.flag) {
								$rootScope.alert(result.returnMsg);
								$scope.$ionicGoBack();
							} else {
								$rootScope.alert('操作异常,保存失败');
							}
						});
					}
				} else {
					UDI.saveobject(editeurl, $scope.appUser, bc, function(result) {
						if (result.flag) {
							$rootScope.alert(result.returnMsg);
							$rootScope.sqrxm = result.sqrxm;
							$scope.$ionicGoBack();
						} else {
							$rootScope.alert('操作异常,保存失败');
						}
					});
				}
			}
		};
	})
