angular.module('lzgf.controllers.sqbx', [])

   .controller('sqbxCtrl', function ($scope, $stateParams,$rootScope,$ionicPopup,$ionicModal, $location, url, UDI, $state, sqbxDeleteFactory) {
    	if(!$rootScope.isspacial){
    		$state.go('login',{reload:true});
    	}
    	var listUrl = url.sqbx.list;
    	var deletebxurl = url.sqbx.deletebx;
    	var bc = 'sqbxlist.load';
    	var deletbxbc = 'deletebx.do';
    	$scope.type = 0;
    	$scope.params = {
    		page: 1,
    		lbid: 1,
    		clzt: '',
    		accountid: $rootScope.id
    	};
    	$scope.deleteparams = {
    		id: ''
    	};
    	UDI.removeresult(bc);
    	$scope.sqbxlistresult = {
			list: [],
			isover: false
		};
    	$scope.changetab = function (t) {
    		$scope.type = t;
    		if (t == 0) {
    			$scope.params.clzt = '';
    		} else {
    			$scope.params.clzt = t;
    		}
    		UDI.removeresult(bc);
    		$scope.params.page = 1;
    		$scope.loadMore();
    	};
    	$scope.loadMore = function () {
			UDI.loadobject(listUrl, $scope.params, bc, function (result) {
				$scope.sqbxlistresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.sqbxlistresult.isover;
		};
    		//给政策详情页面传参数
    	$scope.toSqbxDetail=function(sqbxid){
    		//alert(sqbxid);
    		$state.go('sqbxDetail',{'sqbxid':sqbxid},{reload:true});
    	};
    	//撤销报修
    	$scope.godelectsqModal = function (id) {
    		/*UDI.saveobject(deletebxurl, {sqbx_id: id}, deletbxbc, function(result) {
				if (result.flag) {
					$rootScope.alert(result.msg);
				} else {
					$rootScope.alert('操作异常,撤销失败');
				}
				UDI.removeresult(bc);
				$scope.params.page = 1;
				$scope.loadMore();
			});*/
    		$scope.openModal();
    		$scope.deleteparams.id = id;
    	};
    	$scope.delectsq = function () {
    		sqbxDeleteFactory.events({id: $scope.deleteparams.id}).success(function(response) {
				var flag = response.flag;
				//alert(flag)
				if (flag) {
					$rootScope.alert(response.msg);
				} else {
					$rootScope.alert('操作异常,撤销失败');
				}
				UDI.removeresult(bc);
				$scope.closeModal();
				$scope.params.page = 1;
				$scope.loadMore();
			});
    	};
    	$ionicModal.fromTemplateUrl('deletesqModal.html', {
			scope: $scope,
			animation: 'slide-in-up'
		}).then(function(modal) {
			$scope.modal = modal;
		});
		$scope.openModal = function() {
			$scope.modal.show();
		};
		$scope.closeModal = function() {
			$scope.modal.hide();
		};
    })
    //详情页
    .controller('sqbxDetailCtrl', function($scope, $state, $stateParams, $sce, $ionicModal, $rootScope, SqbxDetailFactory) {
    	$scope._INIT_YUMING = _INIT_YUMING;
    	SqbxDetailFactory.loadDetail($stateParams);
    	$scope.$on('Sqbxdetail.updated', function () {
            $scope.detail = SqbxDetailFactory.getDetail();
    	});
    	$scope.showImage = function (x) {
    		$scope.bigImage = x.tplj;
    		$scope.loadModal();
    	};
    	$scope.loadModal = function(){
            $ionicModal.fromTemplateUrl('slider.html', {
            	scope: $scope,
              animation: 'slide-in-up'
            }).then(function(modal) {
              _modal = modal;
              $scope.openModal();
            });
          };

          $scope.openModal = function() {
            _modal.show();
          };

          $scope.closeModal = function() {
            _modal.hide();
          };
    })
    
      //保存
    .controller('sqbxSaveCtrl', function($scope, $state,$ionicPopup, $stateParams, $sce, $rootScope, url, UDI, sqbxSaveFactory, uploadFactory) {
    	var sqbxidurl = url.sqbx.loadSqbxid;
    	var selectFwzpListurl = url.sqbx.selectFwzpList;
		var saveFjurl = url.sqbx.saveFj;
		var deleteFwzpurl = url.sqbx.deleteFwzp;
    	var bc = 'loadSqbxid.load';
    	$scope._INIT_YUMING = _INIT_YUMING;
    	$scope.sqbxparams = {
			id: '',
			bt : '',
			czrxm : $rootScope.sqrxm || '',
			lbid:1,
			czrzjhm : $rootScope.sqrsfzh || '',
			fwbh : $rootScope.fwbh || '',
			fwzl : $rootScope.fwzl || '',
			sjhm : $rootScope.sjhm || '',
			nr : '',
			accountid:$rootScope.id
		};
    	UDI.loadobject(sqbxidurl, {}, bc, function (result) {
			$scope.sqbxid = result.id;
		});
    	// 读取所有照片
		$scope.selectFwzpList = function () {
			UDI.removeresult('sqbxzplist.loaded');
			UDI.loadobject(selectFwzpListurl, {sqbxid: $scope.sqbxid}, 'sqbxzplist.loaded', function (result) {
				$scope.sqbxzplist = result.list;
			});
		};
		// 附件
		$scope.saveFj = function (r) {
			$scope.upload = {
				sqbxid: $scope.sqbxid,
				tplj: r.path
			};
			UDI.saveobject(saveFjurl, $scope.upload, 'sqbx.savefj', function () {
				$scope.selectFwzpList();
			});
		};
		$scope.deleteFwzp = function (id) {
			UDI.saveobject(deleteFwzpurl, {id: id}, 'sqbx.deleteFwzp', function () {
				$scope.selectFwzpList();
			});
		};
    	// 上传设置弹出
		$scope.show = function() {
			uploadFactory.show($scope.saveFj);
		};
		$scope.saveSqbx = function() {
			if(!$scope.sqbxparams.bt){
				$scope.showValidatorAlert('请输入标题');
			} else if(!$scope.sqbxparams.czrxm){
				$scope.showValidatorAlert('请输入申报人姓名');
			} else if (!$scope.sqbxparams.sjhm) {
				$scope.showValidatorAlert('请输入手机号码');
			} else if(!$scope.sqbxparams.fwzl){
				$scope.showValidatorAlert('请输入房屋坐落');
			} else if(!$scope.sqbxparams.nr){
				$scope.showValidatorAlert('请输入描述内容');
			} else {
				$scope.sqbxparams.id = $scope.sqbxid;
				sqbxSaveFactory.events($scope.sqbxparams).success(function(response) {
					var flag = response.result.flag;
					//alert(flag)
					if (flag) {
						//注册成功
						$scope.showSuccessAlert(response.result.returnMsg);
						$state.go('sqbxList',{'lbid':1});
					} else {
						//注册失败
						$scope.showFailAlert(response.result.returnMsg);
					}

				});
			}
		};
							// 表单验证提示框
		$scope.showValidatorAlert = function(message) {
		var alertPopup = $ionicPopup.alert( {
			title : message
			//template : '请确认相关信息是否正确！'
		});
	};
		//  提交注册成功后提示框
		$scope.showSuccessAlert = function(message) {
		var alertPopup = $ionicPopup.alert( {
			title : message
			//template : ' 请登陆！'
		});
		alertPopup.then(function(res) {
			//$location.path("/login");
				});
	};
		//  提交注册失败后提示框
		$scope.showFailAlert = function(message) {
			var alertPopup = $ionicPopup.alert( {
				title : message
				//template : '请确认相关信息是否正确！'
			});
		};
    })
    .controller('zhrzCtrl', function ($scope, $stateParams, $rootScope, $state, url, UDI) {
    	var zhrzurl = url.sqbx.zhrz;
    	var bc = 'zhrz.save';
    	$scope.params = {
    		fwbh: '',
    		sjhm: $rootScope.sjhm
    	};
    	$scope.iszhrz = $rootScope.iszhrz;
    	$scope.fwbh = $rootScope.fwbh;
    	$scope.saveFwbh = function () {
    		if (!$scope.params.fwbh) {
    			$rootScope.alert('房屋编号不能为空');
    		} else {
    			UDI.saveobject(zhrzurl, $scope.params, bc, function (result) {
    				if (result.flag) {
    					$rootScope.alert(result.returnMsg);
    					$rootScope.iszhrz = result.iszhrz;
    					//防止第一次租户认证后没有房屋编号数据
    					$rootScope.fwbh = result.fwbh;
    					$scope.$ionicGoBack();
    				} else {
    					$rootScope.alert(result.returnMsg);
    				}
    			});
    		}
    	};
    })
    .controller('gfxxCtrl', function ($scope, $stateParams, $rootScope, $state, url, UDI) {
    	var gfxxurl = url.sqbx.gfxx;
    	var bc = 'gfxx.load';
    	$scope.params = {
    		fwbh: $rootScope.fwbh
    	};
    	UDI.loadobject(gfxxurl, $scope.params, bc, function (result) {
    		$scope.gfxxinfo = result.fwinfo;
    	});
    })
    .controller('zjqkCtrl', function ($scope, $stateParams, $rootScope, $state, url, UDI) {
    	var zjqkurl =url.sqbx.zjqk;
    	var bc = 'zjqk.load';
    	$scope.params = {
    		fwbh: $rootScope.fwbh
    	};
    	UDI.loadobject(zjqkurl, $scope.params, bc, function (result) {
    		$scope.htxx = result.htxx;
    		$scope.jnlist = result.jnlist;
    		$scope.qzqklist = result.qzqklist;
    	});
    })
    .controller('bsjdCtrl', function ($scope, $stateParams, $rootScope, $state, url, UDI) {
    	var bsjdurl = url.sqbx.bsjd;
    	var bc = 'bsjd.load';
    	$scope.listisover = false;
    	$scope.params = {
    		page: 1,
    		fwbh: $rootScope.fwbh
    	};
    	$scope.fwbh = $rootScope.fwbh;
    	UDI.removeresult(bc);
    	$scope.bsjdlistresult = {
			list: [],
			isover: false
		};
    	$scope.loadMore = function () {
			UDI.loadobject(bsjdurl, $scope.params, bc, function (result) {
				$scope.bsjdlistresult = result;
				if ($scope.bsjdlistresult.list.length == 0) {
					$scope.listisover = true;
				} else {
					$scope.listisover = false;
				}
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.bsjdlistresult.isover;
		};
    })
    .controller('gfdtListCtrl', function ($scope, $stateParams, $rootScope, $state, url, UDI) {
    	var listurl = url.zwwxx.list;
    	var bc = 'gfdtList.load';
    	UDI.removeresult(bc);
    	$scope.params = {
    		page: 0,
    		Cid: 61
		};
    	$scope.gfdtListresult = {
    		ResList: [],
			Result: 1
		};
    	$scope.loadMore = function () {
			UDI.loadobjectzww(listurl, $scope.params, bc, function (result) {
				$scope.gfdtListresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			var isover = false;
			if ($scope.gfdtListresult.Result == 0) {
				isover = true;
			} else {
				isover = false;
			}
			return !isover;
		};
		//给公房动态详情页面传参数
    	$scope.toDetail=function(x){
    		$state.go('gfdtDetail',{'ResTp': x.ResTp, 'Guid': x.Guid});
    	};
    })
    .controller('gfdtDetailCtrl', function ($scope, $stateParams, $rootScope, $state, url, UDI, $sce) {
    	var detailurl = url.zwwxx.detail;
    	var bc = 'gfdtdetail.load';
    	$scope._INIT_YUMING = _INIT_YUMING;
    	$scope.showloading = true;
    	$scope.params = {
    		ResTp: $stateParams.ResTp,
    		Guid: $stateParams.Guid
    	};
    	UDI.loadobject(detailurl, $scope.params, bc, function (result) {
			$scope.showloading = false;
			$scope.ResInfo = result.ResInfo;
			 var html = $scope.ResInfo.Content;
            var imgreg = /src=\"\/upload([^\"]*?)\"/gi;
            var atagreg = /href=\"([^\"]*?)\"/gi;
            var scriptreg = /<script.*?>(.|\n)*<\/script>/gim;
        	$scope.htmlcontent = $sce.trustAsHtml(html.replace(atagreg,"href=\"javascirpt:void(0);\"").replace(imgreg,"src=\"" + _INIT_IMG_YUMING + "/upload$1\"").replace(scriptreg, ''));
    	});
    })