angular.module('lzgf.services.sqbx', [])


    //政策信息
    .factory('SqbxFactory', function ($resource, $rootScope, $stateParams, url) {
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=1'+'&accountid='+$rootScope.id;
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData,
                    'cache': false
                };

                $rootScope.$broadcast('Sqbxlist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
        //政策信息
    .factory('SqbxOneFactory', function ($resource, $rootScope, $stateParams, url) {
    	console.log($stateParams.clzt);
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=1'+'&clzt=1'+'&accountid='+$rootScope.id;
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData,
                    'cache': false
                };

                $rootScope.$broadcast('Sqbxlist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
    
        .factory('SqbxTwoFactory', function ($resource, $rootScope, $stateParams, url) {
    	console.log($stateParams.clzt);
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=1'+'&clzt=2'+'&accountid='+$rootScope.id;
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData,
                    'cache': false
                };

                $rootScope.$broadcast('Sqbxlist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
    .factory('SqbxThreeFactory', function ($resource, $rootScope, $stateParams, url) {
    	console.log($stateParams.clzt);
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=1'+'&clzt=3'+'&accountid='+$rootScope.id;
    //alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData,
                    'cache': false
                };

                $rootScope.$broadcast('Sqbxlist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
    //资讯详情
    .factory('SqbxDetailFactory', function($resource, $rootScope, url) {
    	var detailUrl = url.sqbx.detail;
    	//alert(detailUrl);
        var detail;
        var detailResource = $resource(detailUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
        
        return {
        	loadDetail: function (p) {
                detailResource.query({
                	sqbxid: p.sqbxid
                }, function (r) {
                    detail = r;
                    //初始化查询结束，通知页面做页面加载
                    $rootScope.$broadcast('Sqbxdetail.updated');
                });
            },
            getDetail: function () {
                return detail;
            }
        }
    })
.factory('sqbxSaveFactory',
		function($http, $resource, $rootScope, url) {
			var saveSqbxurl = url.sqbx.saveSqbx;
			//alert('sf'+saveSqbxurl);
			var runRequest = function(sqbx) {
				return $http( {
					method : 'POST',
					url : saveSqbxurl,
					params : sqbx
				});
			};
			return {
				events : function(sqbx) {
					return runRequest(sqbx);
				}
			};
		})
.factory('sqbxDeleteFactory',
		function($http, $resource, $rootScope, url) {
	var deletebxurl = url.sqbx.deletebx;
	//alert('sf'+saveSqbxurl);
	var runRequest = function(sqbx) {
		return $http( {
			method : 'POST',
			url : deletebxurl,
			params : sqbx
		});
	};
	return {
		events : function(sqbx) {
			return runRequest(sqbx);
		}
	};
});


