angular.module('lzgf.services.tsjy', [])


    //政策信息
    .factory('TsjyFactory', function ($resource, $rootScope, url) {
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=2'+'&accountid='+$rootScope.id;;
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData
                };

                $rootScope.$broadcast('Tsjylist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
        .factory('TsjyOneFactory', function ($resource, $rootScope, url) {
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=2'+'&clzt=1'+'&accountid='+$rootScope.id;;
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData
                };

                $rootScope.$broadcast('Tsjylist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
    .factory('TsjyTwoFactory', function ($resource, $rootScope, url) {
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=2'+'&clzt=2'+'&accountid='+$rootScope.id;;
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData
                };

                $rootScope.$broadcast('Tsjylist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
       .factory('TsjyThreeFactory', function ($resource, $rootScope, url) {
    	var listUrl = url.sqbx.list + url.hourcache+'&lbid=2'+'&clzt=3'+'&accountid='+$rootScope.id;;
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {
				console.log(r.list);
                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData
                };

                $rootScope.$broadcast('Tsjylist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
    //资讯详情
    .factory('TsjyDetailFactory', function($resource, $rootScope, url) {
    	var detailUrl = url.sqbx.detail;
    	//alert('tsjy'+detailUrl);
        var detail;
        var detailResource = $resource(detailUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
        
        return {
        	loadDetail: function (p) {
                detailResource.query({
                	tsjyid: p.tsjyid
                }, function (r) {
                    detail = r;
                    //初始化查询结束，通知页面做页面加载
                    $rootScope.$broadcast('Tsjydetail.updated');
                });
            },
            getDetail: function () {
                return detail;
            }
        }
    })
    


.factory('fileReader', ["$q", "$log", function($q, $log) {
	var onLoad = function(reader, deferred, scope) {
	return function() {
		scope.$apply(function() {
			deferred.resolve(reader.result);
		});
		};
	};

var onError = function(reader, deferred, scope) {
	return function() {
		scope.$apply(function() {
			deferred.reject(reader.result);
		});
	};
};

var getReader = function(deferred, scope) {
var reader = new FileReader();

reader.onload = onLoad(reader, deferred, scope);
reader.onerror = onError(reader, deferred, scope);
return reader;
};
console.log("factory");
var readAsDataURL = function(file, scope) {
var deferred = $q.defer();
var reader = getReader(deferred, scope);
reader.readAsDataURL(file);
return deferred.promise;
};

return {
readAsDataUrl: readAsDataURL
};
}])


.factory('tsjySaveFactory',
		function($http, $resource, $rootScope, url) {
			var saveTsjyurl = url.sqbx.saveSqbx;
			//alert('sf'+saveTsjyurl);
			var runRequest = function(tsjy) {
				return $http( {
					method : 'POST',
					url : saveTsjyurl,
					params : tsjy
				});
			};
			
			
			
			function saveMemFace(path) {
            $resource(saveFaceurl, {}, {
                save: {
                    method: 'post',
                    cache: true,
                    timeout: 20000
                }
            }).save({
                uuid: localStorage.uuid
            }, {headimage: path}, function (r) {
            	if (r.msg.indexOf('领取奖励') > -1) {
					$rootScope.alert('头像上传成功');
				} else {
					$rootScope.alert(r.msg);
				}
                /*if (r.flag) {
                    reloadinfo();
                }*/
            });
        }

        function uploadMemFace(imageURI) {
            //此处执行文件上传的操作，上传成功后执行下面代码
            imageURI = decodeURIComponent(imageURI);
            var imgs = imageURI.split(':');
            var uploadurl = _INIT_IMG_YUMING + '/esf/SuperUpload_upload.jspx';
            if (imgs.length == 3) {
                imageURI = 'content://media/external/images/media/' + imgs[2];
            }
            if (imageURI.split('.').length == 1) {
                uploadurl = _INIT_IMG_YUMING + '/esf/SuperUpload_uploadAndroid44.jspx';
            }
            if (imageURI.split('?').length > 1) {
                imageURI = imageURI.split('?')[0];
            }
            uploadimg = imageURI;
            setTimeout(function () {
                var options = new FileUploadOptions(); //文件参数选项
                options.fileKey = "fileName";//向服务端传递的file参数的parameter name
                options.fileName = imageURI.substr(imageURI.lastIndexOf('/') + 1);//文件名
                //options.mimeType = "image/jpeg";//文件格式，默认为image/jpeg
                options.mimeType = "multipart/form-data";
                var ft = new FileTransfer();//文件上传类
                ft.upload(imageURI, encodeURI(uploadurl), function (d) {
                    var response = eval('(' + d.response + ')');
                    // $('#headimage').val(response.path);
                    if (response.flag) {
                        saveMemFace(response.path);
                    } else {
                        $rootScope.alert('头像出现异常');
                    }
                }, null, options);
            }, 100);
        }
			return {
				uploadMemFace: uploadMemFace,
				events : function(tsjy) {
					return runRequest(tsjy);
				}
			};
		});


