angular.module('lzgf.services.zcxx', [])

    //政策信息
    .factory('ZcxxFactory', function ($resource, $rootScope, url) {
    	var listUrl = url.zcxx.list + url.hourcache+'&typeid=1';
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
        	//alert('query');
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {

                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData
                };

                $rootScope.$broadcast('Zcxxlist.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })
    
    //资讯详情
    .factory('ZcxxDetailFactory', function($resource, $rootScope, url) {
    	var detailUrl = url.zcxx.detail;
    	//alert(detailUrl);
        var detail;
        var detailResource = $resource(detailUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
        
        return {
        	loadDetail: function (p) {
        	//alert(p.newsId)
                detailResource.query({
                	newsId: p.newsId
                }, function (r) {
                    detail = r;
                    //初始化查询结束，通知页面做页面加载
                    $rootScope.$broadcast('Zcxxdetail.updated');
                });
            },
            getDetail: function () {
                return detail;
            }
        }
    })
    
       //政策信息
    .factory('MessageFactory', function ($resource, $rootScope, url) {
    	var listUrl = url.zcxx.list + url.hourcache+'&typeid=2';
    	//alert(listUrl);
        var list = {
                'hasNextPage': true,
                'data': []
            }
        
        var params = {
                page: 1
            }
       
        var resource = $resource(listUrl, {}, {
            query: {
                method: 'get',
                timeout: 20000
            }
        });
       
        function query() {
        	//alert('query');
            var hasNextPage = list.hasNextPage;
            var portalsData = list.data;
            if (params.page == 1) {
                portalsData = [];
            }
            resource.query(params, function (r) {

                portalsData = portalsData.concat(r.list);
                params.page++;
                hasNextPage = !r.isover;
                list = {
                    'hasNextPage': hasNextPage,
                    'data': portalsData
                };

                $rootScope.$broadcast('MessageList.updated');
                $rootScope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
         
        return {
        	loadFristList: function() {
        		params = {
                    page: 1
                }
        		var hasNextPage = true;   //是否有下一页
                query();
        	},
            loadList:function (){
           	 query();
            }, 
            getList: function () {
               if (list === undefined) {
                   return false;
               }
               return list.data;
            },
            hasNextPage: function () {
               if (list === undefined) {
                   return false;
               }
               return list.hasNextPage;
            }
        }
    })